## exim4 4.91

=== debian/changelog ===
exim4 (4.91-6ubuntu1.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: remote command execution
    - debian/patches/CVE-2019-10149.patch: fix parsing logic in
      src/deliver.c.
    - CVE-2019-10149

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 04 Jun 2019 14:40:05 -0400

exim4 (4.91-6ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      + Build-Depends on lsb-release to detect Distribution.
      + d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.
        [DEP3 header updated to indicate it has been forwarded to Debian]

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 30 Jul 2018 15:35:06 -0300

exim4 (4.91-6) unstable; urgency=low

  * Update from exim-4_91+fixes branch:
    + 75_fixes_13-DKIM-Fix-signing-for-body-lines-starting-with-a-pair.patch
    + 75_fixes_14-ARC-Fix-verification-to-do-AS-checks-in-reverse-orde.patch
    + 75_fixes_15-I18N-Fix-protocol-recorded-for-a-multi-SMTPUTF8-mess.patch
  * [lintian] Do not run mininal testsuite with DEB_BUILD_OPTIONS=nocheck.
    (override_dh_auto_test-does-not-check-DEB_BUILD_OPTIONS)

 -- Andreas Metzler <ametzler@debian.org>  Fri, 20 Jul 2018 11:21:24 +0200

exim4 (4.91-5ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      - Build-Depends on lsb-release to detect Distribution.
      - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.
        [DEP3 header updated to indicate it has been forwarded to Debian]

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 03 Jul 2018 11:13:08 -0300

exim4 (4.91-5) unstable; urgency=medium

  * Update from exim-4_91+fixes branch:
    + 75_fixes_10-Use-serial-number-1-for-self-generated-selfsigned-ce.patch
    + 75_fixes_11-Fix-logging-of-cmdline-args-when-starting-in-an-unli.patch
    + 75_fixes_12-ARC-Fix-signing-for-case-when-DKIM-signing-failed.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Jun 2018 18:10:39 +0200

exim4 (4.91-4ubuntu1) cosmic; urgency=medium

  * Merge from Debian testing, Remaining changes:
    - Show Ubuntu distribution in SMTP banner
      - Build-Depends on lsb-release to detect Distribution.
      - d/p/fix_smtp_banner.patch: Show Ubuntu distribution in SMTP banner.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 May 2018 12:46:14 +0200

exim4 (4.91-4) unstable; urgency=medium

  * Update from exim-4_91+fixes branch:
    + 75_fixes_06-Cutthrough-fix-race-resulting-in-duplicate-delivery..patch
    + 75_fixes_07-tidying.patch
    + 75_fixes_08-ARC-fix-crash-on-signing-with-missing-key-file.patch
    + 75_fixes_09-Content-scanning-Fix-locking-on-message-spool-files..patch
  * [lintian] Delete trailing empty lines in changelog.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 17 May 2018 17:14:53 +0200

exim4 (4.91-3) unstable; urgency=medium

  * Update from exim-4_91+fixes branch:
    + 75_fixes_01-Belated-README.UPDATING-notes-for-Exim-4.91.patch
    + 75_fixes_02-Avoid-doing-logging-in-signal-handlers.-Bug-1007.patch
    + 75_fixes_03-Fix-typo-in-arc.-Bug-2262.patch
    + 75_fixes_04-Fix-OpenSSL-non-OCSP-build.patch
    + 75_fixes_05-DKIM-enforce-limit-of-20-on-received-DKIM-Signature-.patch
    + Move 50_localscan_dlopen.dpatch to end of patch series and rename to
      90_... to preserve alphanumeric patch ordering.
  * Add log_message for local blacklists to improve log readability. (Patch by
    Dominic Hargreaves).

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Apr 2018 14:59:36 +0200

exim4 (4.91-2) unstable; urgency=low

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Apr 2018 10:38:50 +0200

exim4 (4.91-1) experimental; urgency=medium

  * Point watchfile to release directory again and use downloads.exim.org
    host.
  * New upstream version.
  * Tighten b-d on libgnutls28-dev to >= 3.5.7, earlier Debian packages did
    not ship libgnutls-dane0.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 15 Apr 2018 17:52:05 +0200

exim4 (4.91~RC4-1) experimental; urgency=medium

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 09 Apr 2018 19:25:18 +0200

exim4 (4.91~RC3-1) experimental; urgency=medium

  * New upstream version.
  * Point vcs* to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 05 Apr 2018 19:43:39 +0200

exim4 (4.90.1-5) unstable; urgency=medium

  * Update from exim-4_90+fixes branch:
    75_15-Pipe-transport-part-two.-Bug-2257.patch
    75_16-Fix-spool_wireformat-final-dot-on-LMTP-transport.-Bu.patch
    75_17-Cutthrough-enforce-non-use-in-combination-with-DKIM-.patch

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Mar 2018 07:14:31 +0200

exim4 (4.90.1-4) unstable; urgency=medium

  * Update from exim-4_90+fixes branch:
    75_11-DMARC-add-variables-to-list-of-those-now-unused-at-t.patch
    75_12-Fix-heavy-pipeline-SMTP-command-input-corruption.-Bu.patch
    75_13-Unbreak-DMARC.patch
    75_14-Fix-pipe-transport-to-not-use-a-socket-only-syscall..patch

 -- Andreas Metzler <ametzler@debian.org>  Thu, 22 Mar 2018 07:44:05 +0100

exim4 (4.89-5ubuntu1.3) artful-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow in base64d()
    - debian/patches/CVE-2018-6789.patch: fix overflow in src/base64.c.
    - CVE-2018-6789

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Sat, 10 Feb 2018 14:12:27 -0500

exim4 (4.89-5ubuntu1.2) artful-security; urgency=medium

  * SECURITY UPDATE: stack-exhaustion remote DoS
    - debian/patches/CVE-2017-16944.patch: do not treat the first lonely
      dot special in src/receive.c, src/smtp_in.c.
    - CVE-2017-16944

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Nov 2017 08:59:31 -0500

exim4 (4.89-5ubuntu1.1) artful-security; urgency=medium

  * SECURITY UPDATE: remote code execution via use-after-free
    - debian/patches/CVE-2017-16943.patch: avoid release of store if there


=== debian/control ===
Source: exim4
Section: mail
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Exim4 Maintainers <pkg-exim4-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Metzler <ametzler@debian.org>,Marc Haber <mh+debian-packages@zugschlus.de>
Homepage: https://www.exim.org/
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/exim-team/exim4.git
Vcs-Browser: https://salsa.debian.org/exim-team/exim4
Build-Depends: debhelper (>= 10), po-debconf, docbook-xsl, xsltproc,
  lynx, docbook-xml, libpcre3-dev, libldap2-dev, libpam0g-dev,
  libident-dev, libdb5.3-dev, libxmu-dev, libxt-dev, libxext-dev, libx11-dev,
  libxaw7-dev, libpq-dev, default-libmysqlclient-dev,
  libsqlite3-dev, libperl-dev, libgnutls28-dev (>= 3.5.7), libsasl2-dev,
  lsb-release

Package: exim4-base
Architecture: any
Priority: optional
Breaks: exim4-daemon-light (<<${Upstream-Version}),
 exim4-daemon-heavy (<<${Upstream-Version}),
 exim4-daemon-custom (<<${Upstream-Version})
Conflicts: exim, exim-tls
Replaces: exim, exim-tls, exim4-daemon-light, exim4-daemon-heavy, exim4-daemon-custom
Depends: ${shlibs:Depends}, ${misc:Depends},
 cron | cron-daemon | anacron,
 exim4-config (>=4.82) | exim4-config-2, adduser, netbase, lsb-base (>= 3.0-6)
# psmisc just for exiwhat.
Recommends: psmisc, mailx
Suggests: mail-reader, eximon4, exim4-doc-html|exim4-doc-info,
 gnutls-bin | openssl, file, spf-tools-perl, swaks
Description: support files for all Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. exim4-base provides the support
 files needed by all exim4 daemon packages. You need an additional package
 containing the main executable. The available packages are:
 .
  exim4-daemon-light
  exim4-daemon-heavy
 .
 If you build exim4 from the source package locally, you can also
 build an exim4-daemon-custom package tailored to your own feature set.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-config
Architecture: all
Priority: optional
Breaks: exim4-daemon-light (<< 4.87~RC5), exim4-daemon-heavy (<< 4.87~RC5)
Provides: exim4-config-2
Conflicts: exim, exim-tls, exim4-config, exim4-config-2, ${MTA-Conflicts}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: configuration for the Exim MTA (v4)
 Exim (v4) is a mail transport agent. exim4-config provides the configuration
 for the exim4 daemon packages. The configuration framework has been split
 off the main package to allow sites to replace the configuration scheme
 with their own without having to change the actual exim4 packages.
 .
 Sites with special configuration needs (having a lot of identically
 configured machines for example) can use this to distribute their own
 custom configuration via the packaging system, using the magic
 available with dpkg's conffile handling, without having to do local
 changes on all of these machines.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-light
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-2.0,
 ${dist:Provides:exim4-daemon-light}
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: lightweight Exim MTA (v4) daemon
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with only basic features enabled. It works well with the
 standard setups that are provided by Debian and includes support for
 TLS encryption and the dlopen patch to allow dynamic loading of a
 local_scan function.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4
Architecture: all
Priority: optional
Depends: ${misc:Depends}, debconf (>= 1.4.69) | cdebconf (>= 0.39),
 exim4-base (>= ${source:Version}),
 exim4-base (<< ${source:Version}.1),
 exim4-daemon-light | exim4-daemon-heavy | exim4-daemon-custom
Description: metapackage to ease Exim MTA (v4) installation
 Exim (v4) is a mail transport agent. exim4 is the metapackage depending
 on the essential components for a basic exim4 installation.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: exim4-daemon-heavy
Architecture: any
Priority: optional
Provides: mail-transport-agent, exim4-localscanapi-2.0
Conflicts: mail-transport-agent
Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends},
 ${misc:Depends}
Breaks: clamav-daemon (<< 0.95)
Description: Exim MTA (v4) daemon with extended features, including exiscan-acl
 Exim (v4) is a mail transport agent. This package contains the exim4
 daemon with extended features. In addition to the features already
 supported by exim4-daemon-light, exim4-daemon-heavy includes LDAP,
 sqlite, PostgreSQL and MySQL data lookups, SASL and SPA SMTP authentication,
 embedded Perl interpreter, and the content scanning extension
 (formerly known as "exiscan-acl") for integration of virus scanners
 and spamassassin.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in
 /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
 information about the way the Debian binary packages are built. The
 very extensive upstream documentation is shipped in
 /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
 configuration process in a standard setup, invoke dpkg-reconfigure
 exim4-config. There is a Debian-centered mailing list,
 pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
 questions there, and only write to the upstream exim-users mailing
 list if you are sure that your question is not Debian-specific. You
 can find the subscription web page on
 http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

#Package: exim4-daemon-custom
#Architecture: any
#Priority: optional
#Provides: mail-transport-agent, exim4-localscanapi-2.0
#Conflicts: mail-transport-agent
#Replaces: mail-transport-agent, exim4-base (<= 4.61-1)
#Depends: exim4-base (>= ${Upstream-Version}), ${shlibs:Depends}, ${misc:Depends}
#Description: custom Exim MTA (v4) daemon with locally set features
# Exim (v4) is a mail transport agent. This package contains a
# custom-configured exim4 daemon compiled to local needs. This package
# is not part of official Debian, but can easily be built from the
# Debian source package. For information about the feature set compiled in,
# and for bug reports, please find out who built your package.
# .
# The Debian exim4 packages have their own web page,
# http://wiki.debian.org/PkgExim4. There is also a Debian-specific
# FAQ list. Information about the way the Debian packages are
# configured can be found in
# /usr/share/doc/exim4-base/README.Debian.gz, which additionally contains
# information about the way the Debian binary packages are built. The
# very extensive upstream documentation is shipped in
# /usr/share/doc/exim4-base/spec.txt.gz. To repeat the debconf-driven
# configuration process in a standard setup, invoke dpkg-reconfigure
# exim4-config. There is a Debian-centered mailing list,
# pkg-exim4-users@lists.alioth.debian.org. Please ask Debian-specific
# questions there, and only write to the upstream exim-users mailing
# list if you are sure that your question is not Debian-specific. You
# can find the subscription web page on
# http://lists.alioth.debian.org/mailman/listinfo/pkg-exim4-users

Package: eximon4
Architecture: any
Priority: optional
Conflicts: eximon
Replaces: eximon
Depends: ${shlibs:Depends}, ${misc:Depends}, exim4-base (>= 4.10)
Description: monitor application for the Exim MTA (v4) (X11 interface)
 Eximon is a helper program for the Exim MTA (v4). It allows
 administrators to view the mail queue and logs, and perform a variety
 of actions on queued messages, such as freezing, bouncing and thawing
 messages.

Package: exim4-dev
Architecture: any
Priority: optional
Depends: ${misc:Depends}
Description: header files for the Exim MTA (v4) packages
 Exim (v4) is a mail transport agent. This package contains header
 files that can be used to compile code that is then dynamically linked
 to exim's local_scan interface.
 .
 The Debian exim4 packages have their own web page,
 http://wiki.debian.org/PkgExim4. There is also a Debian-specific
 FAQ list. Information about the way the Debian packages are
 configured can be found in

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/_/~/ \
https://downloads.exim.org/exim4/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## exim4 4.92

=== Makefile ===
# Top-level makefile for Exim; handles creating a build directory with
# appropriate links, and then creating and running the main makefile in that
# directory.

# Copyright (c) University of Cambridge, 1995 - 2018
# See the file NOTICE for conditions of use and distribution.

# IRIX make uses the shell that is in the SHELL variable, which often defaults
# to csh, so put this in to make it use the Bourne shell. In systems where
# /bin/sh is not a Bourne-compatible shell, this line will have to be edited,
# or "make" must be called with a different SHELL= setting.

SHELL=/bin/sh
RM_COMMAND=/bin/rm

# If a build name has not been specified by running this make file via a
# command of the form "make build=xxxx", then determine the name of the
# operating system and the machine architecture and use that. This does not
# provide an override for the OS type and architecture type; they still have
# to be used for the OS-specific files. To override them, you can set the
# shell variables OSTYPE and ARCHTYPE when running make.
#
# EXIM_BUILD_SUFFIX should be used to enable parallel builds on a file
# system shared among different Linux distros (same os-type, same
# arch-type). The ../test/runtest script is expected to honour the
# EXIM_BUILD_SUFFIX when searching the Exim binary.
# NOTE: EXIM_BUILD_SUFFIX is considered *experimental*.

buildname=$${build:-`$(SHELL) scripts/os-type`-`$(SHELL) scripts/arch-type`}$${EXIM_BUILD_SUFFIX:+.$$EXIM_BUILD_SUFFIX}

# The default target checks for the existence of Local/Makefile, that the main
# makefile is built and up-to-date, and then it runs it.

all: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS)


# This pair for the convenience of of the Debian maintainers
exim: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) exim
utils: Local/Makefile configure
	@cd build-$(buildname); $(MAKE) SHELL=$(SHELL) $(MFLAGS) utils


Local/Makefile:
	@echo ""
	@echo "*** Please create Local/Makefile by copying src/EDITME and making"
	@echo "*** appropriate changes for your site."
	@echo ""
	@test ! -d Local && mkdir Local
	@false

# This is separated off so that "make build-directory" can be obeyed on
# its own if necessary.

build-directory:
	@builddir=build-$(buildname); \
	case "$$builddir" in *UnKnown*) exit 1;; esac; \
	$(SHELL) -c "test -d $$builddir -a -r $$builddir/version.c || \
	  (mkdir $$builddir; cd $$builddir; $(SHELL) ../scripts/MakeLinks)";

checks:
	$(SHELL) scripts/source_checks

# The "configure" target ensures that the build directory exists, then arranges
# to build the main makefile from inside the build directory, by calling the
# Configure-Makefile script. This does its own dependency checking because of
# the optional files.

configure: checks build-directory
	@cd build-$(buildname); \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The "makefile" target forces a rebuild of the makefile (as opposed to
# "configure", which doesn't force it).

makefile: build-directory
	@cd build-$(buildname); $(RM_COMMAND) -f Makefile; \
	  build=$(build) $(SHELL) ../scripts/Configure-Makefile

# The installation commands are kept in a separate script, which expects
# to be run from inside the build directory.

install:        all
		@cd build-$(buildname); \
		build=$(build) $(SHELL) ../scripts/exim_install $(INSTALL_ARG)

# Tidy-up targets

clean:; @echo ""; echo '*** "make clean" just removes all .o and .a files'
	@echo '*** Use "make makefile" to force a rebuild of the makefile'
	@echo ""
	cd build-$(buildname); \
	$(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a \
	pdkim/*.o pdkim/*.a

clean_exim:; cd build-$(buildname); \
	 $(RM_COMMAND) -f *.o lookups/*.o lookups/*.a auths/*.o auths/*.a \
	routers/*.o routers/*.a transports/*.o transports/*.a lookups/*.so

distclean:; $(RM_COMMAND) -rf build-* cscope*

cscope.files: FRC
	echo "-q" > $@
	echo "-p3" >> $@
	find src Local OS exim_monitor -name "*.[cshyl]" -print \
		    -o -name "os.[ch]*" -print \
		    -o -name "*akefile*" -print \
		    -o -name config.h.defaults -print \
		    -o -name EDITME -print >> $@

FRC:

# End of top-level makefile

=== debian/changelog ===
exim4 (4.92-8+deb10u3~bpo9+1) stretch-backports; urgency=high

  * Rebuild for stretch-backports.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 28 Sep 2019 06:58:41 +0200

exim4 (4.92-8+deb10u3) buster-security; urgency=high

  * 78_02-Fix-buffer-overflow-in-string_vformat.-Bug-2449.patch:
    Fix buffer overflow in string_vformat.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 27 Sep 2019 18:09:35 +0200

exim4 (4.92-8+deb10u2) buster-security; urgency=high

  * 78_01-string.c-do-not-interpret-before-0-CVE-2019-15846.patch Fix SNI
    related buffer overflow. CVE-2019-15846

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 Sep 2019 19:51:11 +0200

exim4 (4.92-8+deb10u1) buster-security; urgency=high

  * Fix remote command execution vulnerability related to
    "${sort}"-expansion. CVE-2019-13917 OVE-20190718-0006

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jul 2019 13:35:58 +0200

exim4 (4.92-8) unstable; urgency=low

  * Pulled from exim-4.92+fixes branch:
    + 75_11-GnuTLS-fix-tls_out_ocsp-under-hosts_request_ocsp.patch
      Fix expansion of $tls_out_ocsp under hosts_request_ocsp.
    + 75_12-GnuTLS-fix-the-advertising-of-acceptable-certs-by-th.patch
      When tls_verify_certificates was set to a directory instead of a file
      exim/GnuTLS would still send out the list of accepted certificates,
      This did not match documented behavior.
    + 75_13-Use-dsn_from-for-success-DSN-messages.-Bug-2404.patch
      The dsn_from option was not used for DSN success messages.
  * Pulled from upstream GIT master:
    + 75_14-Fix-smtp-response-timeout.patch
      Fix the timeout on smtp response to apply to the whole response instead
      of resetting for every byte received.
    + 75_15-Fix-detection-of-32b-platform-at-build-time.-Bug-240.patch
      https://bugs.exim.org/show_bug.cgi?id=2405
      ${eval } was broken on 32bit archs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 08 Jun 2019 17:37:43 +0200

exim4 (4.92-7) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 07 May 2019 19:44:23 +0200

exim4 (4.92-6) experimental; urgency=medium

  * Revert 90_localscan_dlopen.dpatch removal to give Magnus some chance for
    debugging sa-exim.
  * Set HAVE_LOCAL_SCAN=yes in EDITME.
  * Upload to experimental.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 16 Apr 2019 17:58:20 +0200

exim4 (4.92-5) unstable; urgency=medium

  * Improved spam-scanning example with accompaning information in
    README.Debian. Explicitly warn about adding the default SpamAssassin
    report in a header, which Closes: #774553
  * Drop 90_localscan_dlopen.dpatch. (It has been non-functional for a couple
    of months.) Closes: #925982 Add a Conflicts for sa-exim, which relied on
    the (working) version of the patch. Drop exim4-dev package. Add a NEWS
    entry for this change.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Apr 2019 13:39:31 +0200

exim4 (4.92-4) unstable; urgency=medium

  * Another patch from exim-4.92+fixes branch:
    75_10-Harden-plaintext-authenticator.patch

 -- Andreas Metzler <ametzler@debian.org>  Fri, 22 Mar 2019 07:15:20 +0100

exim4 (4.92-3) unstable; urgency=medium

  * Pull fixes from exim-4.92+fixes branch.
    + 75_05-Fix-expansions-for-RFC-822-addresses-having-comments.patch
    + 75_06-Docs-Add-note-on-lsearch-for-IPv4-mapped-IPv6-addres.patch
    + 75_07-Fix-crash-from-SRV-lookup-hitting-a-CNAME.patch
    + 75_08-Logging-fix-initial-listening-on-log-line.patch
    + 75_09-OpenSSL-Fix-aggregation-of-messages.patch

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Mar 2019 17:01:29 +0100

exim4 (4.92-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 20 Feb 2019 19:23:11 +0100

exim4 (4.92-1) experimental; urgency=medium

  * Point watchfile to release directory again.
  * New upstream stable release, identical to rc6 except for the version
    string.
  * Pull fixes from exim-4.92+fixes branch.
    + 75_01-Fix-json-extract-operator-for-unfound-case.patch
    + 75_02-Fix-transport-buffer-size-handling.patch
    + 75_03-Fix-info-on-using-local_scan-in-the-default-Makefile.patch
    + 75_04-GnuTLS-Fix-client-detection-of-server-reject-of-clie.patch
  * Upload to experimental while waiting for rc6 to migrate.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 17 Feb 2019 13:13:55 +0100

exim4 (4.92~RC6-1) unstable; urgency=low

  * New upstream snapshot rc6, includes
    40_01-Fix-dkim_verify_signers-option.-Bug-2366.patch.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Feb 2019 14:33:15 +0100

exim4 (4.92~RC5-2) unstable; urgency=high

  * In init script use start-stop-daemon directly instead of lsb-base's
    killproc which currently fails to pass on the executable name to s-s-d
    (921558). This broke with s-s-d 1.19.2 which (for security reasons)
    requires further filtering arguments in addition to --pidfile when the pid
    file is not owned by root. Closes: #921205

 -- Andreas Metzler <ametzler@debian.org>  Thu, 07 Feb 2019 18:42:41 +0100

exim4 (4.92~RC5-1) unstable; urgency=medium

  * New upstream snapshot rc5.
  * 40_01-Fix-dkim_verify_signers-option.-Bug-2366.patch: dkim_verify_signers
    was ignored.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 31 Jan 2019 19:25:03 +0100

exim4 (4.92~RC4-3) unstable; urgency=medium

  * Refresh debian/upstream/signing-key.asc from
    https://downloads.exim.org/Exim-Maintainers-Keyring.asc.
  * Drop outdated pointers to alioth package homepage from README.Debian.
  * Update exim4-config Breaks to enforce upgrade to daemon binary package
    with DANE support. Closes: #919902
  * [lintian] Minimize upstream/signing-key.asc.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 20 Jan 2019 17:52:39 +0100

exim4 (4.92~RC4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Jan 2019 15:35:38 +0100

exim4 (4.92~RC4-1) experimental; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for exim4
# This file is public domain software, originally written by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

buildname := $(shell scripts/os-type)-$(shell scripts/arch-type)
DEBIAN := $(shell pwd)/debian

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk
# SOURCE_DATE_EPOCH is exported by pkg-info.mk since dpkg 1.18.8/July 2016
# fall back to current date otherwise.
SOURCE_DATE_EPOCH ?= $(shell date '+%s')


# The build system ignores CPPFLAGS, append them to CFLAGS
CFLAGS += $(shell getconf LFS_CFLAGS) -D_LARGEFILE_SOURCE \
	  -fno-strict-aliasing -Wall $(CPPFLAGS)
export CFLAGS
# LFLAGS is used where GNU would use LDFLAGS
export LFLAGS = $(LDFLAGS)

LC_ALL=C
export LC_ALL

# If you want to build a daemon with a configuration tailored to YOUR special
# needs, uncomment the exim4-daemon-custom package in debian/control,
# call "debian/rules unpack-configs", copy EDITME.exim4-light to
# EDITME.exim4-custom and modify it, then call "debian/rules pack-configs".
#
# Afterwards EITHER uncomment the customdaemon definition below, or set it
# to the desired value via the environment.
# e.g run:
# env customdaemon=exim4-daemon-custom dpkg-buildpackage -uc -us
#
# If you want to create multiple custom packages with different names, use
# the script debian/create-custom-package [suffix].

# customdaemon = exim4-daemon-custom
daemons = exim4-daemon-light exim4-daemon-heavy $(customdaemon)

# If you want to build with OpenSSL instead of GnuTLS, uncomment this
# OPENSSL:=1
# Please note that building exim4-daemon-heavy with OpenSSL is a GPL
# violation.

PROVIDE_DEFAULT_MTA := $(shell if dpkg-vendor --is Ubuntu || \
	dpkg-vendor --derives-from Ubuntu ; then : ; else \
	echo "default-mta" ; fi)
# for reproducible build. If set exim would use $TZ as default value for
# TIMEZONE_DEFAULT
undefine TZ
unexport TZ


unpack-configs: unpack-configs-stamp

unpack-configs-stamp: src/EDITME exim_monitor/EDITME
	patch -o EDITME.eximon exim_monitor/EDITME \
		$(DEBIAN)/EDITME.eximon.diff
	patch -o EDITME.exim4-light src/EDITME \
		$(DEBIAN)/EDITME.exim4-light.diff
ifdef OPENSSL
	patch EDITME.exim4-light $(DEBIAN)/EDITME.openssl.exim4-light.diff
endif
	for editme in $(DEBIAN)/EDITME.exim4-*.diff; do \
	  if [ "$$editme" != "$(DEBIAN)/EDITME.exim4-light.diff" ]; then \
	    TARGETNAME=`basename $$editme .diff`; \
	    echo patch -o $$TARGETNAME EDITME.exim4-light $$editme; \
	    patch -o $$TARGETNAME EDITME.exim4-light $$editme || \
	    exit $$? ;\
	  fi; \
	done
	touch unpack-configs-stamp

pack-configs:
	-diff -u src/EDITME EDITME.exim4-light \
		> $(DEBIAN)/EDITME.exim4-light.diff
	-for editme in EDITME.exim4-*; do \
	  if [ "$$editme" != "EDITME.exim4-light" ]; then \
	    echo diff -u EDITME.exim4-light $$editme; \
	    diff -u EDITME.exim4-light $$editme > $(DEBIAN)/$${editme}.diff; \
	  fi; \
	done
	-diff -u exim_monitor/EDITME EDITME.eximon \
		> $(DEBIAN)/EDITME.eximon.diff

bdir-stamp: unpack-configs-stamp
	for i in $(daemons) ; do \
		mkdir b-$$i && \
		find . -mindepth 1 -maxdepth 1 \
		-name debian -prune -o \
		-name 'b-*' -o -print0 | \
		xargs --no-run-if-empty --null \
		cp -a --target-directory=b-$$i ; \
	done
	touch $@

override_dh_auto_configure: unpack-configs-stamp bdir-stamp
	for i in $(daemons) ; do \
		mkdir -p b-$$i/Local && \
		cp EDITME.`echo $$i | sed -e s/exim4-daemon/exim4/` \
		b-$$i/Local/Makefile && \
		cp EDITME.eximon b-$$i/Local/eximon.conf ;\
		done

override_dh_auto_build:
	for i in $(daemons) ; do \
		echo building $$i; \
		cd $(CURDIR)/b-$$i && \
		$(MAKE) FULLECHO='' ; \
		done
	# Which version of Berkeley DB are we building against?
	printf '#include <db.h>\ninstdbversionis DB_VERSION_MAJOR DB_VERSION_MINOR\n' | \
		cpp -P | grep instdbversionis |\
		sed -e 's/[[:space:]]*instdbversionis[[:space:]]//' \
		-e 's/[[:space:]][[:space:]]*/./' \
		-e 's_^_s/^BDBVERSION=.*/BDBVERSION=_' \
		-e 's_$$_/_' \
		> $(DEBIAN)/berkeleydb.sed
	# Store Berkeley DB version in postinst script.
	sed -i -f $(DEBIAN)/berkeleydb.sed \
		$(DEBIAN)/exim4-base.postinst
	# symlink identical maintainerscripts
	for i in `echo $(daemons) | sed -e s/exim4-daemon-light//` ; do \
		ln -sfv exim4-daemon-light.prerm \
			"$(DEBIAN)/$$i.prerm" ; \
		ln -sfv exim4-daemon-light.postinst \
			"$(DEBIAN)/$$i.postinst" ; \
	done

override_dh_auto_install-arch: debian/README.Debian
	cd b-exim4-daemon-light && \
	  $(MAKE) install FULLECHO='' \
		INSTALL_ARG=-no_symlink \
		inst_conf=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		inst_aliases=$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/aliases \
		inst_dest=$(DEBIAN)/exim4-base/usr/sbin
	if [ -e "$(DEBIAN)/example.conf.md5" ] && [ "$$(< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum)" != "$$(cat $(DEBIAN)/example.conf.md5)" ] ; then \
	  echo "upstream example configuration has changed, new md5sum:"; \
	  < $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum; \
	  echo "aborting build."; \
	  exit 1; \
	fi
	< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf md5sum > $(DEBIAN)/example.conf.md5
	sed -e 's,/[a-zA-Z/0-9.-]*exim4-base/examples/,/etc/,' \
		< $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf \
		> $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp
	mv $(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf.tmp \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples/example.conf
	install -m755 b-exim4-daemon-light/build-$(buildname)/convert4r4 \
		$(DEBIAN)/exim4-base/usr/sbin/exim_convert4r4
	install -m755 \
		b-exim4-daemon-light/build-$(buildname)/transport-filter.pl \
		b-exim4-daemon-light/util/ratelimit.pl \
		$(DEBIAN)/exim4-base/usr/share/doc/exim4-base/examples
	rm $(DEBIAN)/exim4-base/usr/sbin/exim
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon \
		$(DEBIAN)/eximon4/usr/sbin
	mv $(DEBIAN)/exim4-base/usr/sbin/eximon.bin \
		$(DEBIAN)/eximon4/usr/lib/exim4
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/exipick \
		$(DEBIAN)/exim4-base/usr/share/man/man8/exipick.8
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/exim4-base/usr/sbin/eximstats \
		$(DEBIAN)/exim4-base/usr/share/man/man8/eximstats.8
	install -m755 $(DEBIAN)/syslog2eximlog $(DEBIAN)/exim4-base/usr/sbin/
	pod2man --center=EXIM4 --section=8 \
		$(DEBIAN)/syslog2eximlog \
		$(DEBIAN)/exim4-base/usr/share/man/man8/syslog2eximlog.8
	for i in b-exim4-daemon-*/build-$(buildname)/exim ; do \
		install -m4755 -oroot -groot $$i \
		$(DEBIAN)/`echo $$i | sed -e 's/^b-//' -e 's_/.*__'`/usr/sbin/exim4 ; \
		done

override_dh_auto_install-indep: debian/README.Debian
	# if you change anything here, you will have to change
	# config-custom/debian/rules as well
	sed -e \
	"s/^UPEX4C_version=\"\"/UPEX4C_version=\"$(DEB_VERSION)\"/" \
	< $(DEBIAN)/debconf/update-exim4.conf \
	> $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	chmod 755 $(DEBIAN)/exim4-config/usr/sbin/update-exim4.conf
	install -m 755 $(DEBIAN)/update-exim4defaults \
		$(DEBIAN)/exim4-config/usr/sbin

	cd $(DEBIAN)/debconf/conf.d && \
		tar cf - `find \( -path '*/.svn/*' -prune \) -or \
		\( -type f -print \)` | \
		{ cd $(DEBIAN)/exim4-config/etc/exim4/conf.d/ && \
		tar xf - ; }

	install -m644 $(DEBIAN)/email-addresses $(DEBIAN)/exim4-config/etc/
	install -m640 -oroot -groot $(DEBIAN)/passwd.client \
		$(DEBIAN)/exim4-config/etc/exim4/
	chmod 755 $(DEBIAN)/debconf/update-exim4.conf.template
	env CONFDIR=$(DEBIAN)/debconf \
		$(DEBIAN)/debconf/update-exim4.conf.template --nobackup --run

# only called manually by maintainer before upload.
update-mtaconflicts:
	which grep-aptavail > /dev/null && \
		grep-aptavail --show-field=Package --field=Provides \
		mail-transport-agent --no-field-names \
		| grep -v exim | sort -u | \

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/[_-]/~/g \
https://downloads.exim.org/exim4/exim-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
